aboutsummaryrefslogtreecommitdiff
path: root/etc/bash/check.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/bash/check.sh')
-rwxr-xr-xetc/bash/check.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/etc/bash/check.sh b/etc/bash/check.sh
index 7b9b921..2b8971f 100755
--- a/etc/bash/check.sh
+++ b/etc/bash/check.sh
@@ -52,9 +52,21 @@ shellcheck -xe 1090,1091 \
"$XDG_CONFIG_HOME"/bash/rc \
"$XDG_CONFIG_HOME"/bash/vcs-ps1.sh \
"$XDG_CONFIG_HOME"/bash/check.sh \
- "$XDG_CONFIG_HOME"/bash/privrc.sh
+ "$XDG_CONFIG_HOME"/bash/privrc.sh \
+ "$XDG_CONFIG_HOME"/notmuch/default/hooks/post-new
if git grep FIXME; then
printf 'Leftover FIXME markers\n' >&2
exit 1
fi
+
+if ! git diff --quiet || ! git diff --quiet --staged; then
+ printf 'Dirty tilde repository.\n' >&2
+ exit 1
+fi
+
+PRIV="$XDG_CONFIG_HOME/../var/lib/private/tilde"
+if ! git -C "$PRIV" diff --quiet || ! git -C "$PRIV" diff --quiet --staged; then
+ printf 'Dirty private tilde repository.\n' >&2
+ exit 1
+fi